#100.title=widgetFunc["readfile","env/i18n/template.txt",0,0]
#100.channel=widgetFunc["getFileLineNum",0,0,"env/i18n/template.txt"]

#100=0
WHILE#100<#100.channelDO1
#100.description=#100.title*"
"
#100.title=#100.title-"
"
#100=#100+1

#1=#100.description*"	"*"-"
#1.channel=#100.description*"	"/"-"
IF#1.channel<#1THEN#1.channel=#1
#100.description=#100.description-"	"
#100.unit=#100.description

WHILE#1<=#1.channelDO3
IF^1.classify==0GOTO91
#1.version=#100.description*"	"
#100.description=#100.description-"	"
IF#1.version==0GOTO11
IF[^1.title!=""]GOTO10
GOTO11
N10
#1.unit=widgetFunc["stringReplace","\"","\\"",^1.title]
#1.title=#1.title+widgetFunc["print","#1<<#1.unit<<","",#70.itemtitle[0]]
N11

#1.version=#100.description*"	"
#100.description=#100.description-"	"
IF#1.version==0GOTO21
IF[^1.description!=""]GOTO20
GOTO21
N20
#1.unit=widgetFunc["stringReplace","\"","\\"",^1.description]
#1.title=#1.title+widgetFunc["print","#1<<#1.unit<<","",#70.itemtitle[1]]
N21

#1.version=#100.description*"	"
#100.description=#100.description-"	"
IF#1.version==0GOTO31
IF[^1.unit!=""]GOTO30
GOTO31
N30
#1.unit=widgetFunc["stringReplace","\"","\\"",^1.unit]
#1.title=#1.title+widgetFunc["print","#1<<#1.unit<<","",#70.itemtitle[2]]
N31

#1.version=#100.description*"	"
#100.description=#100.description-"	"
IF#1.version==0GOTO41
IF[[^1.type==1]+[^1.type==5]+[^1.type==14]]*[[^1!=""]]GOTO40
GOTO41
N40
#1.unit=widgetFunc["stringReplace","\"","\\"",^1]
#1.title=#1.title+widgetFunc["print","#1<<#1.unit<<","",#70.itemtitle[3]]
N41

#2.version=#100.description*"	"
#100.description=#100.description-"	"

#3.version=#100.description*"	"
#100.description=#100.description-"	"

#4.version=#100.description*"	"
#100.description=#100.description-"	"

#5.version=#100.description*"	"
#100.description=#100.description-"	"

#2=0
WHILE#2<^1.itemnumDO2

IF#2.version==0GOTO51
IF[^1.itemtitle[#2]!=""]GOTO50
GOTO51
N50
#1.unit=widgetFunc["stringReplace","\"","\\"",^1.itemtitle[#2]]
#1.title=#1.title+widgetFunc["print","#1<<#2<<#1.unit<<","",#70.itemtitle[4]]
N51

IF#3.version==0GOTO61
IF[^1.itemdesc[#2]!=""]GOTO60
GOTO61
N60
#1.unit=widgetFunc["stringReplace","\"","\\"",^1.itemdesc[#2]]
#1.title=#1.title+widgetFunc["print","#1<<#2<<#1.unit<<","",#70.itemtitle[5]]
N61

IF#4.version==0GOTO71
IF[^1.itemunit[#2]!=""]GOTO70
GOTO71
N70
#1.unit=widgetFunc["stringReplace","\"","\\"",^1.itemunit[#2]]
#1.title=#1.title+widgetFunc["print","#1<<#2<<#1.unit<<","",#70.itemtitle[6]]
N71

IF#5.version==0GOTO81
IF[[^1.itemtype[#2]==1]+[^1.itemtype[#2]==5]+[^1.itemtype[#2]==14]]*[[^1.item[#2]!=""]]GOTO80
GOTO81
N80
#1.unit=widgetFunc["stringReplace","\"","\\"",^1.item[#2]]
#1.title=#1.title+widgetFunc["print","#1<<#2<<#1.unit<<","",#70.itemtitle[7]]
N81

#2=#2+1
END2

N91
#100.description=#100.unit
#1=#1+1

END3

END1

widgetFunc["savefile","./env/i18n/translatPack","",#1.title]

#1.title=""
#1.description=""
#1.unit=""

system[#418,#405+"i18n/translatPack",0]
